Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.EPS.ProblemType

class slepc4py.SLEPc.EPS.ProblemType

  Bases: `object`

  EPS problem type.

  - `HEP`: Hermitian eigenproblem.

  - `NHEP`: Non-Hermitian eigenproblem.

  - `GHEP`: Generalized Hermitian eigenproblem.

  - `GNHEP`: Generalized Non-Hermitian eigenproblem.

  - `PGNHEP`: Generalized Non-Hermitian eigenproblem

      with positive definite \(B\).

  - `GHIEP`: Generalized Hermitian-indefinite eigenproblem.

  - `BSE`: Structured Bethe-Salpeter eigenproblem.

  - `HAMILT`: Hamiltonian eigenproblem.

  Attributes Summary

  `BSE` | Constant `BSE` of type `int`
  `GHEP` | Constant `GHEP` of type `int`
  `GHIEP` | Constant `GHIEP` of type `int`
  `GNHEP` | Constant `GNHEP` of type `int`
  `HAMILT` | Constant `HAMILT` of type `int`
  `HEP` | Constant `HEP` of type `int`
  `NHEP` | Constant `NHEP` of type `int`
  `PGNHEP` | Constant `PGNHEP` of type `int`

  Attributes Documentation

  BSE: int = BSE

    Constant `BSE` of type `int`

  GHEP: int = GHEP

    Constant `GHEP` of type `int`

  GHIEP: int = GHIEP

    Constant `GHIEP` of type `int`

  GNHEP: int = GNHEP

    Constant `GNHEP` of type `int`

  HAMILT: int = HAMILT

    Constant `HAMILT` of type `int`

  HEP: int = HEP

    Constant `HEP` of type `int`

  NHEP: int = NHEP

    Constant `NHEP` of type `int`

  PGNHEP: int = PGNHEP

    Constant `PGNHEP` of type `int`